Skip to main content
GET
/
products
cUrl
curl --location --request GET 'https://api.catalogix.ai/v1/products?sku_codes=CI001&store_uuid=67762d4ce590324df813bd8c&ontology=SMP' \
--header 'Authorization: Bearer YOUR_TOKEN'
{
  "status": {
    "code": 0,
    "message": "success"
  },
  "data": {
    "store_uuid": "67762d4ce590324df813bd8c",
    "products": [
      {
        "CI001": {
          "Category": "shirts",
          "product_code": "CI001",
          "status": "active",
          "assets": {
            "images": [
              "https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
              "https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
              "https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
              "https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
              "https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
              "https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
            ],
            "videos": [
              "https://assets-test.catalogix.ai/cac950f7a787813a1d99fbb20e159ee2"
            ]
          }
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Pass the API token as a Bearer token in the Authorization header.

Headers

X-Request-Id
string

Optional trace ID. If not provided, one is generated automatically

Query Parameters

store_uuid
string
required
Example:

"67762d4ce590324df813bd8c"

sku_codes
string[]

List of SKU Codes or Style codes based on selected type to be retrieved

Example:

"CI001"

ontology
string

Ontology name for product taxonomy (e.g. SMP, amazon, brand). If not provided, auto-detected from store taxonomy settings.

Example:

"SMP"

offset
integer
default:0
Required range: x >= 0
Example:

0

limit
integer
default:100
Example:

100

status
enum<string>

Filter by product status.

Available options:
active,
new,
problem,
inactive,
draft,
under review

Response

Data retrieval successful

status
StatusModel · object
required

Status of the operation, including code and message

data
RetrieveDataModel · object
required

Data including store UUID, marketplace, and associated SKU data